Debian Bug report logs - #604660
gst-plugins-bad0.10: Please add armhf support

version graph

Package: dpkg; Maintainer for dpkg is Dpkg Developers <debian-dpkg@lists.debian.org>; Source for dpkg is src:dpkg.

Reported by: Konstantinos Margaritis <markos@genesi-usa.com>

Date: Tue, 23 Nov 2010 12:06:04 UTC

Severity: normal

Tags: patch

Merged with 594179

Found in version dpkg/1.15.8.4

Fixed in version dpkg/1.16.0

Done: Guillem Jover <guillem@debian.org>

Bug is archived. No further changes may be made.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, Maintainers of GStreamer packages <pkg-gstreamer-maintainers@lists.alioth.debian.org>:
Bug#604660; Package src:gst-plugins-bad0.10. (Tue, 23 Nov 2010 12:06:07 GMT) Full text and rfc822 format available.

Acknowledgement sent to Konstantinos Margaritis <markos@genesi-usa.com>:
New Bug report received and forwarded. Copy sent to Maintainers of GStreamer packages <pkg-gstreamer-maintainers@lists.alioth.debian.org>. (Tue, 23 Nov 2010 12:06:07 GMT) Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: Konstantinos Margaritis <markos@genesi-usa.com>
To: Debian Bug Tracking System <submit@bugs.debian.org>
Subject: gst-plugins-bad0.10: Please add armhf support
Date: Tue, 23 Nov 2010 15:07:34 +0000
[Message part 1 (text/plain, inline)]
Source: gst-plugins-bad0.10
Severity: wishlist
Tags: patch

Hi,

The armhf port has reached a very good state (at 87%) at debian-ports.org,
and I'm now mass-filing bug reports to packages for armhf support.
Most packages just have to add armhf in the architecture field. The complete
list is in http://wiki.debian.org/ArmHardFloatTodo

The package builds fine using the attached patch.

Please consider adding armhf support. :)

Regards

Konstantinos


-- System Information:
Debian Release: squeeze/sid
Architecture: armhf (armv7l)

Kernel: Linux 2.6.31.14-efikamx (PREEMPT)
Locale: LANG=en_US.UTF-8, LC_CTYPE=en_US.UTF-8 (charmap=UTF-8)
Shell: /bin/sh linked to /bin/dash
[gst-plugins-bad0.10-armhf.diff (text/x-diff, attachment)]

Information forwarded to debian-bugs-dist@lists.debian.org, Maintainers of GStreamer packages <pkg-gstreamer-maintainers@lists.alioth.debian.org>:
Bug#604660; Package src:gst-plugins-bad0.10. (Tue, 23 Nov 2010 16:57:10 GMT) Full text and rfc822 format available.

Acknowledgement sent to Loïc Minier <lool@dooz.org>:
Extra info received and forwarded to list. Copy sent to Maintainers of GStreamer packages <pkg-gstreamer-maintainers@lists.alioth.debian.org>. (Tue, 23 Nov 2010 16:57:10 GMT) Full text and rfc822 format available.

Message #10 received at 604660@bugs.debian.org (full text, mbox):

From: Loïc Minier <lool@dooz.org>
To: Konstantinos Margaritis <markos@genesi-usa.com>, 604660@bugs.debian.org
Cc: control@bugs.debian.org
Subject: Re: Bug#604660: gst-plugins-bad0.10: Please add armhf support
Date: Tue, 23 Nov 2010 17:54:38 +0100
reassign 604660 type-handling
stop

        Hey

On Tue, Nov 23, 2010, Konstantinos Margaritis wrote:
> The armhf port has reached a very good state (at 87%) at debian-ports.org,
> and I'm now mass-filing bug reports to packages for armhf support.
> Most packages just have to add armhf in the architecture field. The complete
> list is in http://wiki.debian.org/ArmHardFloatTodo
> 
> The package builds fine using the attached patch.
> 
> Please consider adding armhf support. :)

 debian/control is generated from .in thanks to type-handling;
 type-handling itself probably relies on the list of dpkg architectures,
 in any case /usr/share/type-handling/any:linux needs to be fixed first.

 Then gst-plugins-bad0.10 needs to be rebuilt.

   Cheers
-- 
Loïc Minier




Bug reassigned from package 'src:gst-plugins-bad0.10' to 'type-handling'. Request was from Loïc Minier <lool@dooz.org> to control@bugs.debian.org. (Tue, 23 Nov 2010 16:57:12 GMT) Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, GNU/kFreeBSD Maintainers <debian-bsd@lists.debian.org>:
Bug#604660; Package type-handling. (Wed, 24 Nov 2010 13:24:12 GMT) Full text and rfc822 format available.

Acknowledgement sent to Aurelien Jarno <aurelien@aurel32.net>:
Extra info received and forwarded to list. Copy sent to GNU/kFreeBSD Maintainers <debian-bsd@lists.debian.org>. (Wed, 24 Nov 2010 13:24:12 GMT) Full text and rfc822 format available.

Message #17 received at 604660@bugs.debian.org (full text, mbox):

From: Aurelien Jarno <aurelien@aurel32.net>
To: Loïc Minier <lool@dooz.org>
Cc: Konstantinos Margaritis <markos@genesi-usa.com>, 604660@bugs.debian.org, control@bugs.debian.org
Subject: Re: Bug#604660: gst-plugins-bad0.10: Please add armhf support
Date: Wed, 24 Nov 2010 14:23:13 +0100
reassign 604660 dpkg
forcemerge 594179 604660
thanks

On Tue, Nov 23, 2010 at 05:54:38PM +0100, Loïc Minier wrote:
> reassign 604660 type-handling
> stop
> 
>         Hey
> 
> On Tue, Nov 23, 2010, Konstantinos Margaritis wrote:
> > The armhf port has reached a very good state (at 87%) at debian-ports.org,
> > and I'm now mass-filing bug reports to packages for armhf support.
> > Most packages just have to add armhf in the architecture field. The complete
> > list is in http://wiki.debian.org/ArmHardFloatTodo
> > 
> > The package builds fine using the attached patch.
> > 
> > Please consider adding armhf support. :)
> 
>  debian/control is generated from .in thanks to type-handling;

As the goal is to remove type-handling for wheezy, it might worth
switching to [linux-any] instead of an explicit list of architecture.

>  type-handling itself probably relies on the list of dpkg architectures,
>  in any case /usr/share/type-handling/any:linux needs to be fixed first.
>

type-handling relies on dpkg to get the list of architectures, so this
is actually a dpkg bug that already exists (#594179). Merging the bugs.

-- 
Aurelien Jarno                          GPG: 1024D/F1BCDB73
aurelien@aurel32.net                 http://www.aurel32.net




Bug reassigned from package 'type-handling' to 'dpkg'. Request was from Aurelien Jarno <aurelien@aurel32.net> to control@bugs.debian.org. (Wed, 24 Nov 2010 13:24:14 GMT) Full text and rfc822 format available.

Forcibly Merged 594179 604660. Request was from Aurelien Jarno <aurelien@aurel32.net> to control@bugs.debian.org. (Wed, 24 Nov 2010 13:24:15 GMT) Full text and rfc822 format available.

Added tag(s) pending. Request was from Guillem Jover <guillem@debian.org> to control@bugs.debian.org. (Tue, 15 Mar 2011 00:30:03 GMT) Full text and rfc822 format available.

Bug archived. Request was from Debbugs Internal Request <owner@bugs.debian.org> to internal_control@bugs.debian.org. (Tue, 17 May 2011 07:55:18 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Wed Apr 16 07:36:12 2014; Machine Name: buxtehude.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.